Subject: Following up
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Wed, 22 Nov 2006 10:44:35 -0500

Mike,
I was just checking on the few updates that you were working on.  Do you know when you will have the changes in place?  Specifically I am referring to the view of step 1 of the order page.  You were going to have some changes in place for Monday but I haven't seen anything different.  I think we just talked about the changes.  I didn't see any emails pertaining to this so you may have forgotten about it.  I think you said something about collapsing the businesses so that they are only viewed if "the box" is checked.  Also I wanted to remind you about looking at adding the "subscription box" as an option and maybe even an added dialogue box - (pop-up) that prompts the user to ask the question to the customer.  we can talk about this more in detail later.
Thanks,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]